For the complete documentation index, see llms.txt. This page is also available as Markdown.

Product side filter

Atualizar configurações da Filtros Laterais de Produtos do Novo Pedido

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
newOrderIdstringObrigatório

ID de novo pedido

Corpo
namestringObrigatório
max_sizeinteger · int32Obrigatório
Respostas
200

OK

application/json
namestringOpcional
max_sizeinteger · int32Opcional
put/new-orders/{newOrderId}/product-side-filter
PUT /api/b2b/new-orders/{newOrderId}/product-side-filter HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 122

{
  "name": "text",
  "max_size": 1,
  "fields": [
    {
      "id": "text",
      "order": 1,
      "name": "text",
      "type": "PRICE",
      "reactive": true,
      "active": true
    }
  ]
}
{
  "name": "text",
  "max_size": 1,
  "fields": [
    {
      "name": "text",
      "type": "PRICE",
      "reactive": true,
      "active": true
    }
  ]
}